| Home | Libraries | People | FAQ | More

## Struct duration_traits_adapted

boost::date_time::duration_traits_adapted

## Synopsis

    struct duration_traits_adapted {
      // types
      typedef long                                  int_type;
      typedef boost::date_time::int_adapter< long > impl_type;

      // public static functions
      static int_type as_number(impl_type) ;
    };

## Description

Struct for instantiating date_duration WITH special values functionality. Allows for transparent implementation of either date_duration<long> or date_duration<int_adapter<long> >

### `duration_traits_adapted` public static functions

1.     static int_type as_number(impl_type i) ;